/*
 * Copyright (c) 1992 Michael A. Cooper.
 * This software may be freely distributed provided it is not sold for 
 * profit and the author is credited appropriately.
 */

#ifndef lint
static char *RCSid = "$Header: /src/common/usc/bin/sysinfo/RCS/info-alliant.c,v 1.3 1992/04/26 23:32:06 mcooper Exp $";
#endif

/*
 * $Log: info-alliant.c,v $
 * Revision 1.3  1992/04/26  23:32:06  mcooper
 * Add Copyright notice
 *
 * Revision 1.2  1992/03/31  19:00:15  mcooper
 * A working version.
 *
 * Revision 1.2  1992/03/31  19:00:15  mcooper
 * A working version.
 *
 * Revision 1.1  1992/03/01  23:28:16  mcooper
 * Initial revision
 *
 */

/*
 * Alliant specific information
 */
#include <stdio.h>
#include "system.h"
#include "defs.h"

#include <nlist.h>

/*
 * Kernel version symbols
 */
struct nlist VersionInfoNL[] = {
    { "_versionname" },
    { "_versiondate" },
    { 0 },
};

/*
 * Table of Alliant system models
 */ 
NAMETAB ModelTab[] = {
#ifdef MODELNUM_FX2800
    {  MODELNUM_FX2800,		"FX2800" },
#endif
#ifdef MODELNUM_FX800
    {  MODELNUM_FX800,		"FX800" },
#endif
#ifdef BPB_FX1
    {  BPB_FX1,			"FX1" },
#endif
#ifdef BPB_FX4
    {  BPB_FX4,			"FX4" },
#endif
#ifdef BPB_FX40
    {  BPB_FX40,		"FX40" },
#endif
#ifdef BPB_FX8
    {  BPB_FX8,			"FX80" },
#endif
#ifdef BPB_FX80
    {  BPB_FX80,		"FX80" },
#endif
};

/*
 * No device support
 */
DEVDATATAB DevDataTab[] = {
    { 0 },
};
